#ifndef CONFIG_H
#define CONFIG_H

// ************************************
// First choice: select experiment mode

// If the scheduling tables are to be found in the flash,
// then the sketch is a one-shot experiment. Otherwise, if
// experiments are loaded from the SD card, then try to run
// all experiments.
#define TABLES_IN_FLASH


#ifdef TABLES_IN_FLASH

// When running a one-shot experiment, we need to include the
// relevant settings. This includes the choice of scheduler.
#include "gentab_exp.h"

#else

// When not running in one-shot mode, select the scheduler of
// choice below.

// ********************************************
// Second choice: select which scheduler to use

#define WANT_SCHED_FP
// #define WANT_SCHED_EDF
// #define WANT_SCHED_PCRM
// #define WANT_SCHED_EDF_CW
// #define WANT_SCHED_TABLE
// #define WANT_SCHED_OE
#endif

#endif

