#ifndef JOBS_H
#define JOBS_H

typedef void (*job_t)(void);

void run_job(job_t the_job, unsigned long min_duration);

typedef struct sched_decision {
	job_t scheduled_job;
	unsigned long min_duration;

	void dispatch()
	{
		run_job(scheduled_job, min_duration);
	}

	byte is_idle()
	{
		return scheduled_job == NULL;
	}

} sched_decision_t;

#define NO_JOB_READY ((sched_decision_t) {NULL, 0})


#endif
