#ifndef SCHED_H
#define SCHED_H

#include "jobs.h"

void tt_init(void);
sched_decision_t tt_schedule(void);

/* marker byte for indicating that no job should be scheduled */
#define IDLE_SLOT 0xff

struct table_entry {
	unsigned long task_id:5;
	unsigned long slot_length:27;
};

#ifndef TABLES_IN_FLASH
void tt_set_table(struct table_entry *table, unsigned int length);
#endif

#endif
